Class Fox::FXDial

In: | FXDial.rb
Parent: | FXFrame

Dial

### Events

The following messages are sent by FXDial to its target:

`SEL_LEFTBUTTONPRESS`: | sent when the left mouse button goes down; the message data is an FXEvent instance.
`SEL_LEFTBUTTONRELEASE`: | sent when the left mouse button goes up; the message data is an FXEvent instance.
`SEL_CHANGED`: | sent when the dial’s value changes; the message data is the new value.
`SEL_COMMAND`: | sent when the user stops changing the dial’s value and releases the mouse button; the message data is the new value.

### Dial style options

`DIAL_VERTICAL`: | Vertically oriented
`DIAL_HORIZONTAL`: | Horizontal oriented
`DIAL_CYCLIC`: | Value wraps around
`DIAL_HAS_NOTCH`: | Dial has a Center Notch
`DIAL_NORMAL`: | same a `DIAL_VERTICAL`

Methods

new

Attributes

dialStyle | [RW] | Current dial style [Integer]
helpText | [RW] | Status line help text for this dial [String]
notchColor | [RW] | Center notch color [FXColor]
notchOffset | [RW] | The notch offset is the position of the center notch; the value should be tenths of degrees in the range [-3600,3600]. [Integer]
notchSpacing | [RW] | The spacing for the small notches; this should be set in tenths of degrees in the range [1,3600], and the value should be a divisor of 3600, so as to make the notches come out evenly. [Integer]
range | [RW] | Dial range [Range]
revolutionIncrement | [RW] | The revolution increment is the amount of change in the position for revolution of the dial; the dial may go through multiple revolutions to go through its whole range. [Integer]
tipText | [RW] | Tool tip message for this dial
value | [RW] | Dial value [Integer]

Public Class methods

new(p, tgt=nil, sel=0, opts=DIAL_NORMAL, x=0, y=0, w=0, h=0, pl=DEFAULT_PAD, pr=DEFAULT_PAD, pt=DEFAULT_PAD, pb=DEFAULT_PAD) {|theDial| ...}

Construct a dial widget